<?php
/**
 *
 * @category        modules
 * @package         minihero
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         0.4
 * @lastmodified    Februari 8, 2018
 *
 */
 
if(!function_exists('animations')) {
	function animations($current = '') { 
		$rval = '';
		$ani = array();
		$ani[] = '--';
		$ani[] = '-- animate.css animations --';
		/* animate.css -  Only incoming effects */
		$ani[] = 'bounce'; 		$ani[] = 'flash'; 	$ani[] = 'pulse'; 	$ani[] = 'rubberBand'; 	$ani[] = 'shake';
		$ani[] = 'headShake'; 	$ani[] = 'swing'; 	$ani[] = 'tada'; 	$ani[] = 'wobble'; 	$ani[] = 'jello';
		$ani[] = 'bounceIn';	$ani[] = 'bounceInDown';	$ani[] = 'bounceInLeft';	$ani[] = 'bounceInRight';	$ani[] = 'bounceInUp';
		// $ani[] = 'bounceOut';	$ani[] = 'bounceOutDown';	$ani[] = 'bounceOutLeft';	$ani[] = 'bounceOutRight';	$ani[] = 'bounceOutUp';
		$ani[] = 'fadeIn';	$ani[] = 'fadeInDown';	$ani[] = 'fadeInDownBig';	$ani[] = 'fadeInLeft';	$ani[] = 'fadeInLeftBig'; $ani[] = 'fadeInRight';	$ani[] = 'fadeInRightBig';	$ani[] = 'fadeInUp';	$ani[] = 'fadeInUpBig';
		// $ani[] = 'fadeOut';		$ani[] = 'fadeOutDown';	$ani[] = 'fadeOutDownBig';	$ani[] = 'fadeOutLeft';	$ani[] = 'fadeOutLeftBig';	$ani[] = 'fadeOutRight';$ani[] = 'fadeOutRightBig';	$ani[] = 'fadeOutUp';	$ani[] = 'fadeOutUpBig';	
		$ani[] = 'flipInX';	$ani[] = 'flipInY';
		// $ani[] = 'flipOutX';	$ani[] = 'flipOutY';	
		$ani[] = 'lightSpeedIn';	
		// $ani[] = 'lightSpeedOut';	
		$ani[] = 'rotateIn'; $ani[] = 'rotateInDownLeft';	$ani[] = 'rotateInDownRight';	$ani[] = 'rotateInUpLeft';	$ani[] = 'rotateInUpRight';	
		// $ani[] = 'rotateOut'; $ani[] = 'rotateOutDownLeft';	$ani[] = 'rotateOutDownRight';	$ani[] = 'rotateOutUpLeft';	$ani[] = 'rotateOutUpRight';	
		$ani[] = 'jackInTheBox';	
		// $ani[] = 'hinge'; 
		$ani[] = 'rollIn';	
		// $ani[] = 'rollOut';	
		$ani[] = 'zoomIn';	$ani[] = 'zoomInDown';	$ani[] = 'zoomInLeft'; $ani[] = 'zoomInRight';	$ani[] = 'zoomInUp';	
		// $ani[] = 'zoomOut';	$ani[] = 'zoomOutDown';	$ani[] = 'zoomOutLeft';	$ani[] = 'zoomOutRight'; $ani[] = 'zoomOutUp';	
		$ani[] = 'slideInDown';	$ani[] = 'slideInLeft';	$ani[] = 'slideInRight';	$ani[] = 'slideInUp';	
		// $ani[] = 'slideOutDown'; $ani[] = 'slideOutLeft';	$ani[] = 'slideOutRight';	$ani[] = 'slideOutUp';
		
		/* Magic css -  Only incoming effects */
		$ani[] = '-- Magic.css animations --';
		//$ani[] = 'magic';
		$ani[] = 'twisterInDown';
		$ani[] = 'twisterInUp';
		$ani[] = 'swap';
		$ani[] = 'puffIn';
		//$ani[] = 'puffOut';
		$ani[] = 'vanishIn';
		//$ani[] = 'vanishOut';
		//$ani[] = 'openDownLeft';
		//$ani[] = 'openDownRight';
		//$ani[] = 'openUpLeft';
		//$ani[] = 'openUpRight';
		$ani[] = 'openDownLeftReturn';
		$ani[] = 'openDownRightReturn';
		$ani[] = 'openUpLeftReturn';
		$ani[] = 'openUpRightReturn';
		//$ani[] = 'openDownLeftOut';
		//$ani[] = 'openDownRightOut';
		//$ani[] = 'openUpLeftOut';
		//$ani[] = 'openUpRightOut';
		//$ani[] = 'perspectiveDown';
		//$ani[] = 'perspectiveUp';
		//$ani[] = 'perspectiveLeft';
		//$ani[] = 'perspectiveRight';
		$ani[] = 'perspectiveDownReturn';
		$ani[] = 'perspectiveUpReturn';
		$ani[] = 'perspectiveLeftReturn';
		$ani[] = 'perspectiveRightReturn';
		//$ani[] = 'rotateDown';
		//$ani[] = 'rotateUp';
		//$ani[] = 'rotateLeft';
		//$ani[] = 'rotateRight';
		//$ani[] = 'slideDown';
		//$ani[] = 'slideUp';
		//$ani[] = 'slideLeft';
		//$ani[] = 'slideRight';
		$ani[] = 'slideDownReturn';
		$ani[] = 'slideUpReturn';
		$ani[] = 'slideLeftReturn';
		$ani[] = 'slideRightReturn';
		//$ani[] = 'swashOut';
		$ani[] = 'swashIn';
		//$ani[] = 'foolishOut';
		$ani[] = 'foolishIn';
		//$ani[] = 'holeOut';
		//$ani[] = 'tinRightOut';
		//$ani[] = 'tinLeftOut';
		//$ani[] = 'tinUpOut';
		//$ani[] = 'tinDownOut';
		$ani[] = 'tinRightIn';
		$ani[] = 'tinLeftIn';
		$ani[] = 'tinUpIn';
		$ani[] = 'tinDownIn';
		//$ani[] = 'bombRightOut';
		//$ani[] = 'bombLeftOut';
		$ani[] = 'boingInUp';
		//$ani[] = 'boingOutDown';
		//$ani[] = 'spaceOutUp';
		//$ani[] = 'spaceOutRight';
		//$ani[] = 'spaceOutDown';
		//$ani[] = 'spaceOutLeft';
		$ani[] = 'spaceInUp';
		$ani[] = 'spaceInRight';
		$ani[] = 'spaceInDown';
		$ani[] = 'spaceInLeft';

		
		foreach ($ani as $animation) {
			$sel = $animation == $current ? ' selected="selected"':'';
			if(substr($animation,0,3) == '-- ') $sel = ' disabled';
			$rval .= '<option'.$sel.' value="'.$animation.'">'.$animation.'</option>';
		}
		return $rval;	
	}
	function ani_seconds($current = '') { 
		$rval = '';
		$secs[] = '--';
		$secs[] = '1s';$secs[] = '2s';$secs[] = '3s';$secs[] = '4s';$secs[] = '5s';$secs[] = '6s';$secs[] = '7s';$secs[] = '8s';
		foreach ($secs as $seconds) {
			$sel = $seconds == $current ? ' selected="selected"':'';
			$rval .= '<option'.$sel.' value="'.$seconds.'">'.$seconds.'</option>';
		}
		return $rval;	
	
	
	}

}