<?php
/**
 *
 * @category        modules
 * @package         minihero
 * @author          Ruud Eisinga / Dev4me
 * @link			https://www.dev4me.com/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.6 and higher
 * @version         0.4
 * @lastmodified    Februari 8, 2018
 *
 */
 
require('../../config.php');
require_once (WB_PATH.'/framework/functions.php');
require(WB_PATH.'/modules/admin.php');
$update_when_modified = true; 
set_time_limit ( 600 );
$basedir = WB_PATH.MEDIA_DIRECTORY.'/minihero/';
$message = '';

if(isset($_POST['section_id'])) {
	if(isset($_POST['fext'])) {
		$ext = $database->escapeString($_POST['fext']);
		if(file_exists($basedir.'image-'.$section_id.'.'.$ext)) unlink($basedir.'image-'.$section_id.'.'.$ext);
	} else {
		$title = $database->escapeString($_POST['title']);
		$text1 = $database->escapeString($_POST['text1']);
		$text2 = $database->escapeString($_POST['text2']);
		$anititle = $database->escapeString($_POST['anititle']);
		$anitext1 = $database->escapeString($_POST['anitext1']);
		$anitext2 = $database->escapeString($_POST['anitext2']);
		$delayt = $database->escapeString($_POST['delayt']);
		$delay1 = $database->escapeString($_POST['delay1']);
		$delay2 = $database->escapeString($_POST['delay2']);
		$durationt = $database->escapeString($_POST['durationt']);
		$duration1 = $database->escapeString($_POST['duration1']);
		$duration2 = $database->escapeString($_POST['duration2']);

		$height = (int)$_POST['height'];
		$parallax = '0';
		if(isset($_POST['useparallax'])) $parallax = '1';
		if($anititle == '--') $anititle = ''; if($anitext1 == '--') $anitext1 = '';	if($anitext2 == '--') $anitext2 = '';
		if($delayt == '--') $delayt = ''; if($delay1 == '--') $delay1 = '';	if($delay2 == '--') $delay2 = '';
		if($durationt == '--') $durationt = ''; if($duration1 == '--') $duration1 = '';	if($duration2 == '--') $duration2 = '';
		
		$query = "UPDATE ".TABLE_PREFIX."mod_minihero SET 
				`title` = '$title', 
				`text1` = '$text1', 
				`text2` = '$text2',
				`height` = '$height',
				`parallax` = '$parallax',
				`anititle` = '$anititle',
				`anitext1` = '$anitext1',
				`anitext2` = '$anitext2',
				`delayt` = '$delayt',
				`delay1` = '$delay1',
				`delay2` = '$delay2',
				`durationt` = '$durationt',
				`duration1` = '$duration1',
				`duration2` = '$duration2'
				WHERE `section_id` = '$section_id'";
		$database->query($query);	

		make_dir($basedir);
		hero_upload ( 'image-'.$section_id, $basedir, $message ) ;
		echo $message;
		
	}
}
// Check if there is a database error, otherwise say successful
if($database->is_error()) {
	$admin->print_error($database->get_error(), $js_back);
} else {
	$admin->print_success($MESSAGE['PAGES']['SAVED'], ADMIN_URL.'/pages/modify.php?page_id='.$page_id);
}
$admin->print_footer();

//if(!function_exists('hero_upload')) {
	function hero_upload ($fieldname, $pathToFolder, &$message) {
		$message = '';
		if(isset($_FILES[$fieldname]['tmp_name']) AND $_FILES[$fieldname]['tmp_name'] != '') {
			$filename = $_FILES[$fieldname]['name'];
			$path_parts = pathinfo($filename);
			$fileext = strtolower($path_parts['extension']);
			$new_filename = $pathToFolder.$fieldname.'.'.$fileext;
			
			// Make sure the image is a jpg or png file
			if(!in_array($fileext, array('jpg','png'))) {
				$message = "Error: ".$filename. ' is invalid. Only .jpg or .png are allowed!';
				return false;
			}

			$message = "Saving: ".$filename. '';
			move_uploaded_file($_FILES[$fieldname]['tmp_name'], $new_filename);
			change_mode($new_filename);
			if (file_exists($new_filename)) {
					return true;
			}
		}
		return false;
	}
//}

?>